#include <string>
#include <unordered_map>

namespace counter
{
    struct Counter
    {
        static std::unordered_map<std::string, long> count(const std::string& input);

        static void countPair(std::unordered_map<std::string, long>& map, const std::string& input);


        static void countTriple(std::unordered_map<std::string, long>& map, const std::string& input);
    };
}